{
  pkgs,
  username,
  project,
  ...
}: {
  xdg = {
    desktopEntries.youtube = {
      name = "YouTube";
      exec = "chromium --app=https://www.youtube.com";
      terminal = false;
      type = "Application";
      icon = "applications-multimedia";
      categories = ["AudioVideo" "Player" "Network"];
    };

    desktopEntries."org.kde.konsole" = {
      name = "Konsole";
      noDisplay = true;
    };

    desktopEntries."discord" = {
      categories = ["Network" "InstantMessaging" "Chat"];
      exec = "vesktop %U";
      genericName = "Internet Messenger";
      icon = "/home/${username}/${project}/other/discord.app.png";
      name = "Discord";
      type = "Application";
    };

    desktopEntries."vesktop" = {
      noDisplay = true;
      categories = ["Network" "InstantMessaging" "Chat"];
      exec = "vesktop %U";
      genericName = "Internet Messenger";
      name = "Vesktop";
      type = "Application";
    };

    desktopEntries.kitty = {
      name = "kitty";
      genericName = "Terminal emulator";
      comment = "Fast, feature-rich, GPU based terminal";
      exec = "kitty";
      terminal = false;
      categories = ["System" "TerminalEmulator"];

      icon = "/home/${username}/${project}/other/kitty.app.png";
    };

    desktopEntries."org.kde.kinfocenter" = {
      name = "Info Center";
      noDisplay = true;
    };

    desktopEntries."org.kde.khelpcenter" = {
      name = "Help Center";
      noDisplay = true;
    };

    desktopEntries."org.kde.kmenuedit" = {
      name = "Menu Editor";
      noDisplay = true;
    };

    desktopEntries."micro" = {
      name = "Micro";
      noDisplay = true;
    };

    desktopEntries."nvim" = {
      name = "Neovim";
      noDisplay = true;
    };

    desktopEntries."btop" = {
      name = "btop++";
      noDisplay = true;
    };

    desktopEntries."chromium-desktop" = {
      name = "Chromium";
      noDisplay = true;
    };

    desktopEntries."nixos-manual" = {
      name = "${project} Manual";
      noDisplay = true;
    };

    desktopEntries."org.freedesktop.IBus.Setup" = {
      name = "IBus Preferences";
      noDisplay = true;
    };

    desktopEntries."org.kde.drkonqi" = {
      name = "Crashed Processes Viewer";
      noDisplay = true;
    };
    desktopEntries."com.cloudflare.WarpTaskbar" = {
      name = "Cloudflare Zero Trust";
      noDisplay = true;
    };

    desktopEntries."org.kde.kwrite" = {
      name = "KWrite";
      noDisplay = true;
    };

    desktopEntries."org.kde.discover" = {
      name = "Discover";
      noDisplay = true;
    };
  };
}
